Package org.eclipse.m2m.atl.emftvm.impl

## Class RuleImpl.ApplierCbState

- java.lang.Object
- - org.eclipse.m2m.atl.emftvm.impl.RuleImpl.ApplierCbState

Direct Known Subclasses:
  `RuleImpl.WithApplierWithoutPostApplyCbState`, `RuleImpl.WithApplierWithPostApplyCbState`, `RuleImpl.WithoutApplierWithoutPostApplyCbState`, `RuleImpl.WithoutApplierWithPostApplyCbState`

Enclosing class:
  RuleImpl

    protected abstract class RuleImpl.ApplierCbState
    extends java.lang.Object

Base class for code that depends on whether the rule has a `Rule.getApplier()` code block and/or a `Rule.getPostApply()` code block.

### Constructor Summary

Constructors
`protected` `ApplierCbState()`

### Method Summary

All Methods Instance Methods Abstract Methods
`abstract java.lang.Object` `applyFor​(StackFrame frame, TraceLink trace)` Applies this rule for the given `trace`.
`abstract java.lang.Object` `postApplyFor​(StackFrame frame, TraceLink trace)` Post-applies this rule for the given `trace`.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ApplierCbState

    protected ApplierCbState()

### Method Detail

#### applyFor

    public abstract java.lang.Object applyFor​(StackFrame frame,
                                              TraceLink trace)

Applies this rule for the given `trace`.

Parameters:
  `frame` - the stack frame context
  `trace` - the trace link to apply the rule for
Returns:
  the application result

#### postApplyFor

    public abstract java.lang.Object postApplyFor​(StackFrame frame,
                                                  TraceLink trace)

Post-applies this rule for the given `trace`.

Parameters:
  `frame` - the stack frame context
  `trace` - the trace link to postApply the rule for
Returns:
  the application result